package com.yd.dal.entity.customer;

import java.util.Date;

/**
    * customer object share record = referral record
    */
public class AclCustomerObjectShare {
    /**
    * serial id
    */
    private Long id;

    /**
    * 分享分类 1-文章 2-其他 
    */
    private Integer itemType;

    /**
    * 分类类别id
    */
    private Long itemId;

    /**
    * 经纪人ID
    */
    private Long practitionerId;

    /**
    * 分享码
    */
    private String shareCode;

    /**
    * FK ag_acl_customer.id
    */
    private Long customerId;

    /**
    * 1. ios, 2.android 3.windows 4. mac os  5. Linux  6. other 
    */
    private Integer os;

    /**
    * 1. wechat  2. wechat friend 3.QQ  4. QZone  5.weibo 
    */
    private Integer channel;

    /**
    * entire url of shared link
    */
    private String url;

    /**
    * 参数过多直接存参数的JSON字符串
    */
    private String jsonParams;

    /**
    * 存试算结果的JSON字符串tableRateDetails
    */
    private String jsonParamsCoverageInfo;

    /**
    * 创建时间
    */
    private Date createdAt;

    /**
    * 创建人
    */
    private Long createdBy;

    /**
    * 修改时间
    */
    private Date updatedAt;

    /**
    * 修改人
    */
    private Long updatedBy;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public Integer getItemType() {
        return itemType;
    }

    public void setItemType(Integer itemType) {
        this.itemType = itemType;
    }

    public Long getItemId() {
        return itemId;
    }

    public void setItemId(Long itemId) {
        this.itemId = itemId;
    }

    public Long getPractitionerId() {
        return practitionerId;
    }

    public void setPractitionerId(Long practitionerId) {
        this.practitionerId = practitionerId;
    }

    public String getShareCode() {
        return shareCode;
    }

    public void setShareCode(String shareCode) {
        this.shareCode = shareCode;
    }

    public Long getCustomerId() {
        return customerId;
    }

    public void setCustomerId(Long customerId) {
        this.customerId = customerId;
    }

    public Integer getOs() {
        return os;
    }

    public void setOs(Integer os) {
        this.os = os;
    }

    public Integer getChannel() {
        return channel;
    }

    public void setChannel(Integer channel) {
        this.channel = channel;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public String getJsonParams() {
        return jsonParams;
    }

    public void setJsonParams(String jsonParams) {
        this.jsonParams = jsonParams;
    }

    public String getJsonParamsCoverageInfo() {
        return jsonParamsCoverageInfo;
    }

    public void setJsonParamsCoverageInfo(String jsonParamsCoverageInfo) {
        this.jsonParamsCoverageInfo = jsonParamsCoverageInfo;
    }

    public Date getCreatedAt() {
        return createdAt;
    }

    public void setCreatedAt(Date createdAt) {
        this.createdAt = createdAt;
    }

    public Long getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(Long createdBy) {
        this.createdBy = createdBy;
    }

    public Date getUpdatedAt() {
        return updatedAt;
    }

    public void setUpdatedAt(Date updatedAt) {
        this.updatedAt = updatedAt;
    }

    public Long getUpdatedBy() {
        return updatedBy;
    }

    public void setUpdatedBy(Long updatedBy) {
        this.updatedBy = updatedBy;
    }
}